%global jtidyversion r938
%define _mavenpomdir /usr/share/maven2/poms

Name:             jtidy
Version:          1.0
Release:          %mkrel 0.9.20100930svn1125
Epoch:            2
Summary:          HTML syntax checker and pretty printer
Group:            Development/Java
License:          zlib
URL:              http://jtidy.sourceforge.net/
# svn export -r1125 https://jtidy.svn.sourceforge.net/svnroot/jtidy/trunk/jtidy/ jtidy
# tar caf jtidy.tar.xz jtidy
Source0:          %{name}.tar.xz
Source1:          %{name}.jtidy.script
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    ant

Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

Obsoletes:        %{name}-scripts < 2:1.0-0.5

%description
JTidy is a Java port of HTML Tidy, a HTML syntax checker and pretty printer. 
Like its non-Java cousin, JTidy can be used as a tool for cleaning up malformed 
and faulty HTML. In addition, JTidy provides a DOM interface to the document 
that is being processed, which effectively makes you able to use JTidy as a DOM 
parser for real-world HTML.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%build
ant \
    -Dant.build.javac.source=1.4

%install
rm -rf %{buildroot}

# jar
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{jtidyversion}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap net.sf.jtidy %{name} %{version} JPP %{name}
%add_to_maven_depmap jtidy %{name} %{version} JPP %{name}

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# shell script
mkdir -p %{buildroot}%{_bindir}
cp -ap %{SOURCE1} %{buildroot}%{_bindir}/%{name}

# ant.d
mkdir -p %{buildroot}%{_sysconfdir}/ant.d
cat > %{buildroot}%{_sysconfdir}/ant.d/%{name} << EOF
jtidy
EOF


%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%attr(755, root, root) %{_bindir}/*
%config(noreplace) %{_sysconfdir}/ant.d/%{name}

%files javadoc
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}





%changelog
* Tue Jan 18 2011 dmorgan <dmorgan> 2:1.0-0.9.20100930svn1125.mga1
+ Revision: 21933
- Fix release
- Sync with fedora

* Mon Jan 17 2011 dmorgan <dmorgan> 2:1.0-0.1.r7dev.1.2.10.mga1
+ Revision: 21206
- imported package jtidy


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.0-0.1.r7dev.1.2.10mdv2011.0
+ Revision: 606117
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.0-0.1.r7dev.1.2.9mdv2010.1
+ Revision: 523133
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2:1.0-0.1.r7dev.1.2.8mdv2010.0
+ Revision: 425476
- rebuild

* Fri Jan 25 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2:1.0-0.1.r7dev.1.2.7mdv2008.1
+ Revision: 157980
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 2:1.0-0.1.r7dev.1.2.5mdv2008.0
+ Revision: 87445
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Wed Jul 18 2007 Anssi Hannula <anssi@mandriva.org> 2:1.0-0.1.r7dev.1.2.4mdv2008.0
+ Revision: 53184
- use xml-commons-jaxp-1.3-apis explicitely instead of the generic
  xml-commons-apis which is provided by multiple packages (see bug #31473)

* Mon Jul 02 2007 David Walluck <walluck@mandriva.org> 2:1.0-0.1.r7dev.1.2.3mdv2008.0
+ Revision: 47273
- fix BuildRequires

* Mon Jul 02 2007 David Walluck <walluck@mandriva.org> 2:1.0-0.1.r7dev.1.2.2mdv2008.0
+ Revision: 47272
- fix release

* Mon Jul 02 2007 David Walluck <walluck@mandriva.org> 2:1.0-0.1.r7dev.1jpp.2.1mdv2008.0
+ Revision: 46935
- Import jtidy



* Fri Mar 16 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 2:1.0-0.1.r7dev.1jpp.2
- Remove gnu-crypto build requirement.

* Thu Feb 15 2007 Andrew Overholt <overholt@redhat.com> 2:1.0-0.1.r7dev.1jpp.1
- Don't remove JAXP APIs because we don't ship that version of
  xml-commons-apis anymore.

* Mon Feb 12 2007 Fernando Nasser <fnasser@redhat.com> 1:1.0-0.20000804r7dev.8jpp.1
- Import

* Mon Feb 12 2007 Fernando Nasser <fnasser@redhat.com> 1:1.0-0.20000804r7dev.8jpp
- Fix duplicate requires and missing build requires for xml-commons-apis

* Mon Feb 12 2007 Ralph Apel <r.apel at r-apel.de> 1:1.0-0.20000804r7dev.7jpp
- Add gcj_support option

* Thu Jun 01 2006 Fernando Nasser <fnasser@redhat.org> 1:1.0-0.20000804r7dev.6jpp
- First JPP 1.7 build

* Tue Feb 22 2005 David Walluck <david@jpackage.org> 1:1.0-0.20000804r7dev.5jpp
- add ant conf
- own non-versioned javadoc symlink
- Requires: xml-commons-apis
- use build-classpath
- macros

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 1:1.0-0.20000804r7dev.4jpp
- Rebuild with ant-1.6.2

* Mon May  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:1.0-0.20000804r7dev.3jpp
- Fix non-versioned javadoc symlinking.

* Mon Apr 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:1.0-0.20000804r7dev.2jpp
- Rebuild for JPackage 1.5.
- Fix Group tags.
- Include non-versioned javadoc symlink.
- Scripts subpackage.

* Fri Aug 30 2002 Ville Skyttä <ville.skytta at iki.fi> 1:1.0-0.20000804r7dev.1jpp
- Change version to 1.0, put revision to release, add Epoch.
- Don't use included DOM and SAX, require jaxp_parser_impl.
- Add non-versioned jar symlink.
- Add shell script.
- Vendor, Distribution tags.

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20000804-0.r7dev.5jpp
- versioned dir for javadoc
- no dependencies for javadoc package
- section macro

* Mon Dec 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20000804-0.r7dev.4jpp
- new versioning scheme
- jar name is now jtidy.jar
- javadoc in javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 04aug2000r7-dev-3jpp
-  new jpp extension
-  compiled with xalan2

* Mon Nov 19 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 04aug2000r7-dev-2jpp
-  fixed changelog
-  fixed license

* Mon Nov 19 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 04aug2000r7-dev-1jpp
-  r7dev

* Mon Nov 19 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 04aug2000r6-1jpp
-  first release
